Package org.apache.tapestry5.internal.services

# Class MapMessages

java.lang.Object
org.apache.tapestry5.commons.util.AbstractMessages
org.apache.tapestry5.internal.services.MapMessages

All Implemented Interfaces:
  `Messages`

public class MapMessages extends AbstractMessages
Implementation of `Messages` based on a simple Map (of string keys and values).

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MapMessages(Locale locale, Map<String,String> properties)`
  A new instance retaining (not copying) the provided map.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Set<String>`
  `getKeys()`
  Returns a set of all the keys for which this instance may provide a value.
  `protected String`
  `valueForKey(String key)`
  Invoked to provide the value for a particular key.

  ### Methods inherited from class org.apache.tapestry5.commons.util.AbstractMessages

  `contains, format, get, getFormatter`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MapMessages

    public MapMessages(Locale locale, Map<String,String> properties)
    A new instance retaining (not copying) the provided map.

- ## Method Details

  - ### valueForKey

    protected String valueForKey(String key)
    Description copied from class: `AbstractMessages`
    Invoked to provide the value for a particular key. This may be invoked multiple times even for the same key. The implementation should ignore the case of the key.
    Specified by:
      `valueForKey` in class `AbstractMessages`
    Parameters:
      `key` - the key to obtain a value for (case insensitive)
    Returns:
      the value for the key, or null if this instance can not provide the value

  - ### getKeys

    public Set<String> getKeys()
    Description copied from interface: `Messages`
    Returns a set of all the keys for which this instance may provide a value.
    Returns:
      set of keys